summaryrefslogtreecommitdiffstats
path: root/system/sakura/sakura.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/sakura/sakura.SlackBuild')
-rw-r--r--system/sakura/sakura.SlackBuild25
1 files changed, 23 insertions, 2 deletions
diff --git a/system/sakura/sakura.SlackBuild b/system/sakura/sakura.SlackBuild
index 88a8b25003..ea83dc9221 100644
--- a/system/sakura/sakura.SlackBuild
+++ b/system/sakura/sakura.SlackBuild
@@ -5,9 +5,27 @@
# Updated by Kristaps Esterlins <esterlinsh[at]gmail.com>
# Updated by Eugene Wissner <eugen@flevum.de>
# Updated by Donald Cooley <dfc@warpmail.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=sakura
-VERSION=${VERSION:-3.1.0}
+VERSION=${VERSION:-3.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,10 +74,13 @@ cmake \
-DCMAKE_BUILD_TYPE=Release
make
make install DESTDIR=$PKG
-strip --strip-unneeded $PKG/usr/bin/sakura
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mv $PKG/usr/share/{man,doc} $PKG/usr
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS GPL $PKG/usr/doc/$PRGNAM-$VERSION